Bug 779770 - (SOA-2132) Relax Http Header Validation to just "not null"
Relax Http Header Validation to just "not null"
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 12:58 EDT by Stelios Koussouris
Modified: 2011-02-11 00:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-11 00:48:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2132 None None None Never

  None (edit)
Description Stelios Koussouris 2010-06-18 12:58:28 EDT
Affects: Release Notes
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=1023033&gid=1354
project_key: SOA

The code
http://anonsvn.jboss.org/repos/labs/labs/jbossesb/tags/JBESB_4_7_CP2_ER4/product/rosetta/src/org/jboss/soa/esb/http/HttpHeader.java

checks
AssertArgument.isNotNullAndNotEmpty(name, "name");
AssertArgument.isNotNullAndNotEmpty(value, "value");

However, there can be occasions where the value is empty. The condition should be relaxed to "not null" (not sure if it could ever be null)
Comment 1 Stelios Koussouris 2010-06-18 12:58:58 EDT
Link: Added: This issue depends JBESB-3355
Comment 2 Anne-Louise Tangring 2010-09-22 08:18:46 EDT
Candidate for SOA 5.1.0
Comment 5 Darrin Mison 2011-01-04 19:14:31 EST
Writer: Added: dlesage
Comment 6 David Le Sage 2011-02-11 00:43:58 EST
Temporarily reopening to update release note info.
Comment 7 David Le Sage 2011-02-11 00:48:23 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3355

The validation process for the  HTTP header was stringently checking that it was "not empty."  However, there are occasions when it can, validly, be empty. To account for this, the condition has been relaxed so that it now checks for  "not null" instead.

Note You need to log in before you can comment on or make changes to this bug.